Subject: bug#13292: 24.3.50; wrong sytax description in (elisp) Case Tables

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Dec 2012 10:30:17 +0200

> From: Wolfgang Jenkner <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 29 Dec 2012 01:21:05 +0100
> 
> On Fri, Dec 28 2012, Eli Zaretskii wrote:
> 
> >> From: "Drew Adams" <[email-masked]>
> [...]
> >> In that case, there are bugs in the other direction, in other nodes of the
> >> manual - nodes that use uppercase for parameters.
> >> 
> >> For example:
> >> 
> >> `A Sample Function Description' - `count-loop'
> >> `Syntax Table Functions' - `with-syntax-table'
> >> `Using Lexical Binding' - `special-variable-p'
> >> `Syntax Table Internals' - `string-to-syntax'
> >> `Declare Form' - `declare'
> >> 
> >> Note that `A Sample Function Description' is the very place where we explain the
> >> syntax convention and give an example of it.  Not a good place to set a bad
> >> example.
> >
> > It's not bad.  This is done on purpose, see the Texinfo sources, which
> > use @var in this case.
> 
> But other "imaginary" example definitions in intro.texi don't use @var.
> Nor does any "real" @defspec in doc/lispref use that.

The Texinfo manual is ambiguous wrt this issue.  It allows using @var
in some cases.  The result in print is a slightly different typeface;
in contrast, the result in the Info output is VERY different.
However, since the references to the arguments in the text _always_
use @var, so are rendered in CAPS in Info, I consider this bug report
a rather petty and even an overly-pedantic one.

> Also, in contrast to the makeinfo program, texinfo-format-region would
> produce
> 
>  -- Special form: count-loop (VAR [FROM TO [INC]]) BODY...
> 
> in both cases, with or without @var.  Perhaps, that's the reason that
> nobody noticed at the time?

I doubt that, as no one uses texinfo-format-region anymore, since it
doesn't support so many Texinfo features introduced in recent years.

> So is there anything wrong with Drew's revised suggestion (as
> I understand it)?

See above.  That said, I don't want to argue anymore, so I installed
your changes on the emacs-24 branch; thanks.